import java.util.ArrayList;

/**
 * String and List utility methods
 *   @author Dave Reed
 *   @version 9/3/13
 */
public class Utils {
    public static String stripWord(String word) {
        String copy = "";
        for (int i = 0; i < word.length(); i++) {
            char ch = word.charAt(i);
            if (Character.isLetterOrDigit(ch)) {
                copy += ch;
            }
        }
        return copy;
    }
    
    public static String replaceExtension(String filename, String newExt) {
        int dotIndex = filename.lastIndexOf('.');
        if (dotIndex == -1) {
            dotIndex = filename.length();
        }
        return filename.substring(0,dotIndex+1) + newExt;  
    }

    public static int findWord(String desiredWord, ArrayList<Word> words) {
        for (int i = 0; i < words.size(); i++) {
            if (words.get(i).getWord().equals(desiredWord)) {
                return i;
            }
        }
        return -1;
    } 
}
